PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::OStreamOutput< ostream_t > Struct Template Reference
Inheritance diagram for plask::OStreamOutput< ostream_t >:
[legend]
Collaboration diagram for plask::OStreamOutput< ostream_t >:
[legend]

## Public Member Functions
| OStreamOutput (ostream_t &stream_ref)
template<typename... StreamCtorArgT>
| OStreamOutput (StreamCtorArgT &&... stream_open_arg)
void | write (const char *buffer, std::size_t n) override
| Write bytes from buffer.
void | put (char c) override
| Write one character `c`.
Public Member Functions inherited from plask::XMLWriter::Output
virtual | ~Output ()
template<int n>
void | puts (const char(&str)[n])
| Write `n` - 1 bytes from `str`.
void | newline ()
| Write new line character (end-line) to this output.

## Public Attributes
ostream_t | ostream

## Detailed Description

template<typename ostream_t>
struct plask::OStreamOutput< ostream_t >

Definition at line 23 of file writer.cpp.

## Constructor & Destructor Documentation

## ◆ OStreamOutput() [1/2]

template<typename ostream_t >

plask::OStreamOutput< ostream_t >::OStreamOutput | ( | ostream_t & | stream_ref | ) |
| inline

Definition at line 27 of file writer.cpp.

## ◆ OStreamOutput() [2/2]

template<typename ostream_t >
template<typename... StreamCtorArgT>

plask::OStreamOutput< ostream_t >::OStreamOutput | ( | StreamCtorArgT &&... | stream_open_arg | ) |
| inline

Definition at line 31 of file writer.cpp.

## Member Function Documentation

## ◆ put()

template<typename ostream_t >

void plask::OStreamOutput< ostream_t >::put | ( | char | c | ) |
| inline override virtual

Write one character `c`.

Default implementation calls: `write(&c, 1);`

Parameters

  c | character to write

Reimplemented from plask::XMLWriter::Output.

Definition at line 40 of file writer.cpp.

## ◆ write()

template<typename ostream_t >

void plask::OStreamOutput< ostream_t >::write | ( | const char * | buffer,
|  | std::size_t | n
| ) |  |
| inline override virtual

Write
bytes from buffer.

Parameters

  buffer | buffer with data with size `n` or more
  n | number of bytes to write

Implements plask::XMLWriter::Output.

Definition at line 36 of file writer.cpp.

## Member Data Documentation

## ◆ ostream

template<typename ostream_t >

ostream_t plask::OStreamOutput< ostream_t >::ostream

Definition at line 25 of file writer.cpp.

The documentation for this struct was generated from the following file:

- plask/utils/xml/writer.cpp